/**
 *
 */
package com.ims.eval.service.impl;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;
import com.ims.core.utils.IdGen;
import com.ims.eval.dao.DdeptResponsibilityDao;
import com.ims.eval.entity.DeptResponsibility;
import com.ims.eval.service.IDeptResponsibilityService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 部门目标责任Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class DeptResponsibilityServiceImpl extends CrudServiceImpl<DdeptResponsibilityDao, DeptResponsibility> implements IDeptResponsibilityService {

 	public DeptResponsibility get(DeptResponsibility ddeptResponsibility) {
		return super.get(ddeptResponsibility);
	}

    public List<DeptResponsibility> findList(DeptResponsibility ddeptResponsibility) {
        return super.findList(ddeptResponsibility);
    }

	public List<DeptResponsibility> findAllListM(DeptResponsibility ddeptResponsibility, String dataFilter, String baseFilter, String key, String baseQuery, String specQuery) {
	 	return super.findAllListM(ddeptResponsibility,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<DeptResponsibility> findPageM(Page<DeptResponsibility> page, DeptResponsibility ddeptResponsibility, String dataFilter, String baseFilter, String key, String baseQuery, String specQuery) {
		return super.findPageM(page, ddeptResponsibility,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public DeptResponsibility initInsert(DeptResponsibility ddeptResponsibility)  {
		return super.initInsert(ddeptResponsibility);
	}

	@Transactional(readOnly = false)
	public void checkSave(DeptResponsibility ddeptResponsibility) {
		super.checkSave(ddeptResponsibility);
	}

	@Transactional(readOnly = false)
	public DeptResponsibility save(DeptResponsibility ddeptResponsibility, boolean isNewRecord){
	    if(isNewRecord){
	        ddeptResponsibility.setId(IdGen.uuid());
	    }
		return super.save(ddeptResponsibility,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<DeptResponsibility> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(DeptResponsibility ddeptResponsibility, String baseFilter){
		super.checkRemove(ddeptResponsibility,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(DeptResponsibility ddeptResponsibility, String baseFilter) {
		super.delete(ddeptResponsibility,baseFilter);
	}
}
